Subject: Re: building egcs on Win32 platforms
From: [email-masked] (Jan-Jaap van der Heijden)

2 Nov 1998 03:57:50 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Brendan Simon <[email-masked]>
Cc: CygWin32 <[email-masked]>, Cross-GCC <[email-masked]>,
        [email-masked]

On Sat, 31 Oct 1998, Brendan Simon wrote:

> 
> Is it possible to use the cygwin user-tools (bash, etc) but have the
> MinGW32 compiler tools in the path instead of the Cygwin32 compiler
> tools ?

Theoretically, you would be using a cygwin32->mingw32 crossgcc for that.
But since mingw32 and cygwin32 share the same object format, in this
case you could take a native cygwin32 compiler, assembler and linker, and
fit it with a mingw32 gcc spec file, include files and libraries.

> 
> How is the naitive MinGW32 built from the sources ?  Using itself or
> Cygwin32 ?
> 

I have used a variety of unix based something-to-mingw32 crosscompilers to
build native mingw32 compilers, basically because these unix boxes are so
much faster than cygwin32. I believe Mumit Khan uses the same method.
You can read all about this so called canadian cross in the crossgcc FAQ.

But, I guess you could use cygwin32 or even a djgpp based crossgcc to
build a native mingw32 gcc.

Happy compiling,
JanJaap

-------------------------------------------------------------------------
[email-masked] :                            At home
http://agnes.dida.physik.uni-essen.de/~janjaap/mingw32 : Mingw32 GNU site
http://www.bbv-software.com :             Solutions for Integrated Optics

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".